var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultIntegral_8h_source.html",
"IdStringType_8h.html#a81fb73e235a5bbed45f12de9a1514b4b",
"MediaCD_8cc.html#a2f6fe2e7bc11511dcb2e145d6a8bbe0c",
"Package_8cc.html",
"PoolMember_8h_source.html",
"RepoManager_8cc.html#aad7c5866e4bbeb43f56ace5be352b6c4",
"SATResolver_8h.html",
"String_8h.html#a117964c75424762f7b79a38b137c67c5",
"UrlBase_8cc.html#a31da1639dc36692b7f5ee6fee8ef0397",
"classzypp_1_1Arch.html#a31667f732ea8d4cbcf16273f31bbd996",
"classzypp_1_1Capability.html#a5b9a791bd982daca63c36f246996f47e",
"classzypp_1_1Date.html#a1bf6ce331c70c036be272e4222cda089",
"classzypp_1_1ExternalProgram.html#a6b3981bee16711bb542980472d9dd698",
"classzypp_1_1IdString.html#a8d8d8fc47a2dfc41b225062a7e292faa",
"classzypp_1_1Match.html#a488f816b693de9dbf5f52411eac27260",
"classzypp_1_1Pattern.html#a630934da6e72d0d11429dc90d6a7e30c",
"classzypp_1_1PoolQuery.html#abbd8440a90928dd6ed19c948d3bdf64d",
"classzypp_1_1PublicKeyData.html#a5a899dddc2d1dd33ded1a8e26a1b2c85",
"classzypp_1_1Repository.html#a6779f7b616521a4ecbb24b06bebd383b",
"classzypp_1_1ResStatus.html#a31ade5125a749454695f58bf6a9f4a83",
"classzypp_1_1SerialNumberWatcher.html#aabf67de9058647453bf6590feff4583d",
"classzypp_1_1Url.html#adc73ea0d88559af76cf693164c30c970",
"classzypp_1_1ZYppCommitPolicy_1_1Impl.html#ae1c9b451cbfdc5b828878ba8034530df",
"classzypp_1_1base_1_1logger_1_1Loglinebuf.html#ae6ae9ebadd086e9e149e36d323173d3b",
"classzypp_1_1filesystem_1_1PathInfo.html#a27f5a274083d738f03b965cdd093b4e5",
"classzypp_1_1iostr_1_1EachLine.html#a509c6affd7dd704b7ce4506be1b809fc",
"classzypp_1_1media_1_1MediaCurl.html#a2096fb6bdba0329cd5043c22d6e0ba07",
"classzypp_1_1media_1_1MediaMountException.html#ab7670032ed0993285bd273fc6b28f017",
"classzypp_1_1media_1_1TransferSettings.html#a8f0d00e49b76252050d3bd04ece72296",
"classzypp_1_1parser_1_1ProductFileData.html#a4e09753d90acf4c00d512a778f571f92",
"classzypp_1_1repo_1_1RepoException.html#a09a2e5cb96d94feb55e7a97bbcf959ba",
"classzypp_1_1sat_1_1LookupAttr.html#a95eb5d6a642fb7a851949bc4e76c8678",
"classzypp_1_1sat_1_1SolvAttr.html#a2e155d83096ca56e8b331b1106408e68",
"classzypp_1_1sat_1_1Transaction.html#a743720e9e396896cfd06ed1bc6c7f3e3",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemDelete.html#a4846e62c07ac66a05e6c103414b7b691",
"classzypp_1_1target_1_1RpmInstallPackageReceiver.html#aded9274dac5b75461c5649bc7d114d70",
"classzypp_1_1target_1_1rpm_1_1RpmAccessBlockedException.html#aac78d6f928c8747801618e12dfac18e1",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1DbDirInfo.html#a6541dba8af929f01d41cc971c4c58ce3",
"classzypp_1_1url_1_1UrlBase.html#adb7ff5f65bd48d215889a93dbb18d6d8",
"classzypp_1_1zypp__detail_1_1ZYppImpl.html#ac0e890afda55256eb0fe92a780227e79",
"group__LIBSOLV.html",
"namespacemembers_n.html",
"structzypp_1_1CheckSumException.html#ae5bac9c531512e7c2b5cea5a1470fc7f",
"structzypp_1_1HistoryActionID.html#a7f8a10b783b57ad9d12ac99f8d645283",
"structzypp_1_1PoolQueryAttr.html#a085a77cb6116d35525b8d936e41da0fd",
"structzypp_1_1RepoManagerOptions.html#a2a99ae5dca4883f2cbae2ca6cdf85a68",
"structzypp_1_1base_1_1ContainerTransform.html#a00293be7d7d21d456f074b84550ad50b",
"structzypp_1_1functor_1_1False.html",
"structzypp_1_1media_1_1ml__parsedata.html#aae379270e88f3becddece5c82f21a0d9",
"structzypp_1_1repo_1_1yum_1_1ResourceType.html#a53adc16fdc80107d7cd1a98d2f3c23bb",
"structzypp_1_1solver_1_1detail_1_1FindPackage.html#a02fe8fdcc12710baa41b8989c15f1de9",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#a9c408562e5a7791e39ab0e87742a3100",
"zypp-plugins.html#plugins-impl"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';